import request from "@/utils/request";

// 科研机构专利列表
export const researchPatentList = (params) => {
  return request({
    url: `/app/research/patentList`,
    method: "GET",
    params,
  });
};

// 科研机构新增专利
export const insertResearchPatent = (data) => {
  return request({
    url: `/app/research/patent`,
    method: "POST",
    data,
  });
};

/**
 * 科研机构修改专利
 * @param data
 * @return {*}
 */
export const updateResearchPatent = (data) => {
  return request({
    url: `/app/research/patent`,
    method: "PUT",
    data,
  });
};

export const deleteResearchPatentByIds = (ids) => {
  return request({
    url: `/app/research/deletePatents/${ids}`,
    method: "DELETE",
  });
};
